The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP 5.2 and 5.3 on the same server?

Discussion in 'General Discussion' started by Daniel15, Apr 17, 2010.

  1. Daniel15

    Daniel15 Well-Known Member

    Joined:
    Oct 7, 2006
    Messages:
    84
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Melbourne, Australia
    cPanel Access Level:
    Root Administrator
    cPanel's EasyApache allows you to install PHP 4 and 5 on the same server. Is there a way to do something similar, except have PHP 5.2 and 5.3 on the same server? I have some scripts that don't work properly on PHP 5.3, but would still like to have it available for people to use.
     
  2. yapluka

    yapluka Well-Known Member

    Joined:
    Dec 24, 2003
    Messages:
    301
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    France
    cPanel Access Level:
    Root Administrator
    You could ask the forum admins to move your thread to the Feature requests section.
    I vote for it, already ;)
     
  3. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    There have already been several threads on this same topic ...

    I am not going to bother wasting time re-posting long details again but to put this to a real fine point --- NOT RECOMMENDED

    You absolutely should not put PHP 5.2 and PHP 5.3 on the same server!

    There is a a great many technical reasons behind this and this is something you most certainly would not want to do at all.

    Right now I don't recommend any production hosting server be used for PHP 5.3 right now at this time but if you are a programming developer or just itching to get a head start on PHP 5.3 then my recommendation to you is to deploy 5.3 on it's own server machine separate from your 5.2 servers
     
Loading...

Share This Page